<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.ReadbingysxzMapper">

    <resultMap id="readbingysxzMap" type="com.tofly.watermeter.entity.Readbingysxz">
        <id property="id" column="ID"/>
        <result property="ysxzBm" column="YSXZ_BM"/>
        <result property="bigYsxzid" column="BIG_YSXZID"/>
        <result property="createDate" column="CREATE_DATE"/>
        <result property="createUser" column="CREATE_USER"/>
        <association property="ysxzMc" column="YSXZ_BM"
                     select="com.tofly.watermeter.mapper.QfkhjbxxMapper.getYsxzName"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>

    <select id="getYsxzBing" resultMap="readbingysxzMap">
        select * from TF_YWPN_READBINGYSXZ_W where BIG_YSXZID = #{bigYsxzid}
    </select>


</mapper>
